
INDIR="/home/tiger/xgiga_dumpEmb_proj/embedding"
for k in 3 5 300 1024
do
    for split in dev
    do
        slg=en
        tlg=fr
        command="python3 ../visualizeEmb.py -m retrievalGivenArray --system-files /home/tiger/xgiga_dumpEmb_proj/embedding/proj_ln_${k}_dev_${slg}/document_embedding.npy /home/tiger/xgiga_dumpEmb_proj/embedding/proj_ln_${k}_dev_${tlg}/document_embedding.npy"
        echo $command
        $command
    
        slg=en
        tlg=zh
        command="python3 ../visualizeEmb.py -m retrievalGivenArray --system-files /home/tiger/xgiga_dumpEmb_proj/embedding/proj_ln_${k}_dev_${slg}/document_embedding.npy /home/tiger/xgiga_dumpEmb_proj/embedding/proj_ln_${k}_dev_${tlg}/document_embedding.npy"
        echo $command
        $command
    done
done
